Bug 896113 - Unneeded executable perms for auditd.service
Unneeded executable perms for auditd.service
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
  Show dependency treegraph
Reported: 2013-01-16 11:29 EST by Ville Skyttä
Modified: 2013-05-09 12:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-05-09 12:09:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-01-16 11:29:08 EST
There's no need for auditd.service to be executable. Fix:

-%attr(755,root,root) %{_unitdir}/auditd.service
+%attr(644,root,root) %{_unitdir}/auditd.service
Comment 1 Steve Grubb 2013-01-16 13:12:25 EST
Thanks for pointing this out. I changed it to 0640 to keep in line with the way it is on sysvinit systems. audit-2.2.2-4 has been built into rawhide with this fix.
Comment 2 Fedora End Of Life 2013-04-03 16:31:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.